Issue 119510 - [From Symphony]one column is lost if opened in AOO
[From Symphony]one column is lost if opened in AOO
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: ui
3.4.0
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 08:01 UTC by Yan Ji
Modified: 2012-12-26 08:41 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample (31.50 KB, application/msword)
2012-05-29 08:01 UTC, Yan Ji
no flags Details
patch for the issue (1.31 KB, patch)
2012-06-19 09:01 UTC, Lei Debin
debin.lei: review? (zjchencdl)
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Yan Ji 2012-05-29 08:01:16 UTC
Created attachment 77709 [details]
sample

Build: AOO3.4
Load sample file in AOO and compare with MS Office

Defect: There is a column lost in AOO
Comment 1 Lei Debin 2012-06-18 05:45:12 UTC
I am working on it
Comment 2 Lei Debin 2012-06-19 08:58:45 UTC
On loading this sample, the frame will be set FLY_AT_PARA as "anchor to paragraph". But this setting is invalid. And the width should be automatically   re-sized, then for the horizontal alignment left is better than right.
so the solution is clear, pls check the patch
Comment 3 Lei Debin 2012-06-19 09:01:16 UTC
Created attachment 78390 [details]
patch for the issue
Comment 4 zjchen 2012-07-04 06:11:00 UTC
This patch looks good, it is OK to me. Would you apply the patches by yourself or other committer?
Comment 5 Lei Debin 2012-07-04 06:47:17 UTC
@Zuo Jun, thanks your review.
And I have committed the patch at revision: 1357108.
Comment 6 Du Jing 2012-08-21 02:13:21 UTC
verified on the AOO3.5_r1374181